package com.icx.javaproxytunnel.model;

import com.fasterxml.jackson.annotation.*;

public class SilenceRules {
    private boolean engageComfortSequence;
    private long botResponseDelayTolerance;
    private PromptSequence comfortPromptSequence;
    private long millisecondsToWaitForUserResponse;

    @JsonProperty("engageComfortSequence")
    public boolean getEngageComfortSequence() { return engageComfortSequence; }
    @JsonProperty("engageComfortSequence")
    public void setEngageComfortSequence(boolean value) { this.engageComfortSequence = value; }

    @JsonProperty("botResponseDelayTolerance")
    public long getBotResponseDelayTolerance() { return botResponseDelayTolerance; }
    @JsonProperty("botResponseDelayTolerance")
    public void setBotResponseDelayTolerance(long value) { this.botResponseDelayTolerance = value; }

    @JsonProperty("comfortPromptSequence")
    public PromptSequence getComfortPromptSequence() { return comfortPromptSequence; }
    @JsonProperty("comfortPromptSequence")
    public void setComfortPromptSequence(PromptSequence value) { this.comfortPromptSequence = value; }

    @JsonProperty("millisecondsToWaitForUserResponse")
    public long getMillisecondsToWaitForUserResponse() { return millisecondsToWaitForUserResponse; }
    @JsonProperty("millisecondsToWaitForUserResponse")
    public void setMillisecondsToWaitForUserResponse(long value) { this.millisecondsToWaitForUserResponse = value; }
}
